1

Topic: PKGSRC will be officially supported as of the next release

Matt posted this message yesterday:

I've been watching PKGSRC developments with some eagerness, in particular
the increasing numbers of DragonFly developers willing to put significant
time into making PKGSRC work for DragonFly, not to mention the large
number of people (judging from the related mailing lists) working on it
for other platforms.  Despite the problems iterated over many a bikeshed
in the last few months I feel that PKGSRC is the best bandwagon for us
to jump onto and support.  It is clearly going to be more dragonfly-
friendly than FreeBSD ports as time moves on.  Our dfports was never
meant for the long haul and it is clearly no longer capable of crossing
the gap, let alone achieve the high level of maintainance that is
necessary to things up to date.  This is proven out by the number
of commits to dfports recently (just 2 files in the last 60 days, and
18 in the last 90).  dfports has clearly outlived its usefulness.

I have considered going it alone many times, ever since DragonFly first
started, but it is clear to me now that it is just not possible.  We
would never be able to keep things up-to-date over the long haul.   Even
though PKGSRC isn't perfect, it seems to me that it is organized well
enough that we can overcome any difficulties.

The full thread is at http://marc.theaimsgroup.com/?l=dragonf … 82&w=2

I find it particularly cool that a machine for bulk package building is being set up.

Re: PKGSRC will be officially supported as of the next release

So, when are YOU going to change over.?   smile

<@andre> i would be so much more efficient if i wasn't so stupid

3

Re: PKGSRC will be officially supported as of the next release

lol, give me some time dude! smile

The only thing preventing me from doing it is that my machine is kinda slow, and the thought recompiling everything is not funny. Maybe I'll wait a bit more until more precompiled packages are available, so I can get a working machine faster.

I still need to update to HEAD, my system is still pre-1.2 hmm

Re: PKGSRC will be officially supported as of the next release

sweet!